## org.jfree.data.general
Interface DatasetChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  CategoryPlot, CategoryToPieDataset, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, CompassPlot, ContourPlot, DialPlot, FastScatterPlot, IntervalXYDelegate, MeterPlot, MultiplePiePlot, PiePlot, PiePlot3D, Plot, PolarPlot, RingPlot, SpiderWebPlot, ThermometerPlot, WaferMapPlot, XYBarDataset, XYDatasetTableModel, XYPlot

    public interface DatasetChangeListener

extends java.util.EventListener

The interface that must be supported by classes that wish to receive notification of changes to a dataset.

Method Summary
`void` `datasetChanged(DatasetChangeEvent event)` Receives notification of an dataset change event.

Method Detail

### datasetChanged

    void datasetChanged(DatasetChangeEvent event)

  Receives notification of an dataset change event.

  Parameters:
    `event` - information about the event.